<template>
  <v-btn
    color="primary"
    :small="$vuetify.breakpoint.smAndDown"
    fab
    :top="$vuetify.breakpoint.mdAndUp"
    :bottom="$vuetify.breakpoint.smAndDown"
    :right="true"
    fixed
    @click="switchLang"
  >
    {{oppositeLang}}
  </v-btn>
</template>
<script>
export default {
  data () {
    return {
      fab: false,
      langs: ['en', 'km']
    }
  },
  computed: {
    oppositeLang () {
      const lang = this.$store.getters['account/lang']
      console.log('lang', lang)
      if (lang.startsWith('en')) { return 'ខ្មែរ' } else return 'en'
    }
  },
  methods: {
    switchLang () {
      const data = this.oppositeLang === 'ខ្មែរ' ? 'km' : this.oppositeLang
      this.$store.commit('account/lang', data)
      this.$i18n.locale = this.$store.getters['account/lang']
      console.log('data', this.$store.getters['account/lang'])
    }
  }
}
</script>
